<?php

use Illuminate\Support\Facades\Route;
use Modules\Product\Http\Controllers\APIController;
use Modules\Product\Http\Controllers\ProductFavouriteController;
use Modules\Product\Http\Controllers\ProductReviewController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::any('products', [APIController::class, 'index']);

Route::group(['as' => 'api.'], function () {
    Route::prefix('/{lang}')->group(function () {
        Route::any('product/{id}', [APIController::class, 'show'])->name('product');
        Route::any('products', [APIController::class, 'index']);
        Route::apiResource('product-review', ProductReviewController::class);
        Route::apiResource('product-favourite', ProductFavouriteController::class);

    });
});
